View Issue Details

IDProjectCategoryView StatusLast Update
0000824Xdebug(No Category)public2012-05-02 21:10
ReportermyspectatorAssigned Toderick 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformPHP 5.4, Apache 2.2.0OSUbuntuOS Version11.10
Product Version2.2.0RC2 
Target VersionFixed in Version2.2.0 
Summary0000824: XDebug terminates when viewing STATIC variable and 2 or more variables
DescriptionThe same problem as described in the issue:

http://bugs.xdebug.org/view.php?id=797

I installed php 5.4 and compiled xdebug from git source (revision: e14d2e5). I have tried to debug my PHP-application but it always stops when IDE tries to get variables from class which contains static variable and at least 2 normal variables.

I attached 2 examples (see archive). Can you fix it?
Steps To Reproduce1. Set a breakpoint.
2. Start debugger.
3. Debugger crashes when IDE is trying show variables for the class which contains static variable and 2 normal variables.
Additional InformationIDE: PhpStorm 4.0
TagsNo tags attached.
Operating SystemUbuntu 11.10
PHP Version5.4.0

Activities

myspectator

2012-05-01 17:29

reporter  

xdebug-crashed-examples.tar.gz (316 bytes)

myspectator

2012-05-01 17:30

reporter  

example1_works.php (146 bytes)

myspectator

2012-05-01 17:30

reporter  

example2_doesnt_work.php (143 bytes)

myspectator

2012-05-01 17:31

reporter   ~0002118

I uploaded the same files from archive to the issue for quick access.

derick

2012-05-02 08:56

administrator   ~0002120

I've fixed this after I released RC2. Would you be so kind to get the latest version from github and try again?

myspectator

2012-05-02 20:24

reporter   ~0002125

Thank you. It works! I'm sorry to bother you.

Issue History

Date Modified Username Field Change
2012-05-01 17:29 myspectator New Issue
2012-05-01 17:29 myspectator File Added: xdebug-crashed-examples.tar.gz
2012-05-01 17:30 myspectator File Added: example1_works.php
2012-05-01 17:30 myspectator File Added: example2_doesnt_work.php
2012-05-01 17:31 myspectator Note Added: 0002118
2012-05-02 08:56 derick Note Added: 0002120
2012-05-02 08:56 derick Assigned To => derick
2012-05-02 08:56 derick Status new => feedback
2012-05-02 20:24 myspectator Note Added: 0002125
2012-05-02 20:24 myspectator Status feedback => assigned
2012-05-02 21:10 derick Status assigned => resolved
2012-05-02 21:10 derick Fixed in Version => 2.2.0
2012-05-02 21:10 derick Resolution open => fixed
2016-07-31 12:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 12:35 derick Category debugclient (debugging tool) => (No Category)